Bug 50857 - Compaq 1655 (ES1868) sound card failure
Compaq 1655 (ES1868) sound card failure
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-03 19:29 EDT by Bobby Brinkley
Modified: 2014-03-16 22:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-21 17:18:26 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bobby Brinkley 2001-08-03 19:29:18 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
Cannot configure my ES1868 soundcard on my Compaq 1655 laptop.

How reproducible:
Always

Steps to Reproduce:
1.start sndconfig
2.choose ES1868 AudioDrive
3.Set I/O Port = 0x220  IRQ = 7 DMA = 0  MPU I/O = 0x330
  (actually any combination fails)
	

Actual Results:  displays "An error occured opening /dev/audio". 

Expected Results:  correct soundcard configuration

Additional info:

I have tried several drivers (i.e. Sound Blasters) to no avail.  I have 
this same problem on RH 7.1 before I loaded roswell (both were fresh 
installs).  I have no /etc/isapnp.conf file and no /proc/isapnp file.  
Below are my /etc/modules.conf and sound file


alias parport_lowlevel parport_pc
alias sound-slot-0 sb
post-install sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -L 
>/dev/null 2>&1 || :
pre-remove sound-slot-0 /bin/aumix-minimal -f /etc/.aumixrc -S >/dev/null 
2>&1 || :
options sound dmabuf=1
alias synth0 opl3
options opl3 io=0x388
options sb io=0x220 irq=7 dma=0 mpu_io=0x330



# THIS FILE IS WRITTEN BY SNDCONFIG
# PLEASE USE SNDCONFIG TO MODIFY
# TO CHANGE THIS FILE!
# There should be no spaces at the start of a line
# or around the '=' sign
CARDTYPE=ESS1868
Comment 1 Bill Nottingham 2001-08-05 20:30:16 EDT
What is the card set to in the BIOS?
Comment 2 Bobby Brinkley 2001-08-05 21:49:20 EDT
My soundcard configuration in the BIOS is:

Base I/O address :  220-22F
Interrupt:          IRQ 5
DMA channel:        DMA 1
DMA channel:        DMA 0
FM I/O address      388-38B
MPU I/O address     330-331

I have also tried all possible combinations using all values.
Comment 3 Bill Crawford 2001-08-08 07:55:45 EDT
If PnP support is enabled in the kernel, then a card such as this *should* work
"out of the box" by just loading the driver module.  At least it Works For
Me[tm] with a non-PnP SB at work, and a PnP ES1869 at home, and it's the same
driver (sb).

All I have in modules.conf is:

alias sound-slot-0 sb
alias synth0 opl3
options opl3 io=0x0388

The synth driver does seem to need I/O specified, but the SB driver picks up
without any problem.
Comment 4 Bobby Brinkley 2001-08-08 08:17:17 EDT
I will try changing my modules.conf; however, I did not have any problems with 
this in any pre RH7.1 distros.  It worked "out of the box" in 7.0 and 6.2.  
This is driving me crazy.
Comment 5 Bobby Brinkley 2001-08-19 12:01:21 EDT
I manually changed my modules.conf from IRQ7 to IRQ5 and it now works.  The 
problem is that sndconfig fails when trying to use the proper IRQ which is 5.  
Why is this, and can this be fixed in the next version of sndconfig?
Comment 6 Bill Nottingham 2001-08-19 21:55:31 EDT
What do you get if you cat /proc/isapnp?
Comment 7 Bill Nottingham 2001-08-19 21:56:36 EDT
Oops, never mind.

sndconfig *should* work fine if you enter those settings; do you have any
sound apps running when you start sndconfig?
Comment 8 Bobby Brinkley 2001-08-20 07:20:05 EDT
Not that I am aware of., In fact no, because I booted without graphical bootup 
and tried sndconfig and it still gave the previous results.
Comment 9 Bill Nottingham 2005-01-21 17:18:26 EST
sndconfig is no longer developed, and this release has reached end-of-life.
Closing out old bugs.

Note You need to log in before you can comment on or make changes to this bug.